// pages/userinfo/userinfo.js
import { getHwUserInfo, upLoadImage } from '../../utils/util'
import api from '../../api/api'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    region: ['江苏省', '无锡市', '新吴区'],
    userInfo: {}
  },
  /**
   * 更换头像
   * @licenseFront 后台接取的字段
   */
  changeAvatar() {
    wx.chooseImage({
      success: (res) => {
        upLoadImage({
          files: res.tempFilePaths,
          name: 'licenseFront',
          url: api.hwUser.changeAvatar
        }).then((data) => {
          wx.setStorageSync('userInfo', data[0].hwUser);
          this.setData({
            userInfo: data[0].hwUser
          })
        }).catch(() => { })
      },
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: async function () {
    // 获取个人信息
    await getHwUserInfo()
    this.setData({
      userInfo: wx.getStorageSync('userInfo'),
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})